%define polkit_uid              120
%define polkit_gid		120

Distribution:	CCux
Packager:  	Karsten Brockmann <arcam@ccux-linux.de>

Summary:   	Authorization Toolkit
Name:      	PolicyKit
Version:   	0.9
Release:   	1
License: 	GNU/GPL
URL:		http://www.freedesktop.org/wiki/Software/PolicyKit
Group:     	System/Base
Source0: 	%{name}-%{version}.tar.gz
Patch0: 	pk-ck-api-change.patch
BuildRoot: 	%{_tmppath}/%{name}-buildroot
BuildRequires:  glibc-devel
BuildRequires:  dbus-devel
BuildRequires:  dbus-glib-devel
BuildRequires:  expat-devel
BuildRequires:  glib-devel
BuildRequires:  pam-devel

%description
PolicyKit is an application-level toolkit for defining and handling the policy that allows unprivileged processes to speak to privileged processes: It is a framework for centralizing the decision making process with respect to granting access to privileged operations for unprivileged applications. PolicyKit is specifically targeting applications in rich desktop environments on multi-user UNIX-like operating systems. It does not imply or rely on any exotic kernel features.

%package devel
Summary:        %{name} development headers.
Group:          %{group}
Requires:       %{name} = %{version}-%{release}

%description devel
Header and include files for developing applications with %{name}.

%pre 
if [ $1 -lt 2 ] ; then
	/usr/sbin/groupadd -g %{polkit_gid} policykit 2> /dev/null || :
	/usr/sbin/useradd -c 'PolicyKit' -u %{polkit_uid} -s /sbin/nologin -r -d '/' policykit 2> /dev/null || :
fi

%post
ldconfig

%postun
ldconfig

%prep
%setup -n %{name}-%{version}
# fix for  ConsoleKit 0.3 GetUnixUser API change
%patch0 -p1

%build
%configure --libexecdir=%_sbindir --with-polkit-user=policykit --with-polkit-group=policykit
make

%install
rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT


%files
%defattr(-,root,root)
%{_sysconfdir}/
%{_bindir}/
%{_sbindir}/
%{_datadir}/gtk-doc/
%{_datadir}/PolicyKit/
%{_datadir}/dbus-1/
%{_mandir}/
%{_libdir}/*.so.*
/var/lib/misc/PolicyKit.reload


%files devel
%defattr(-,root,root)
%{_includedir}/
%{_pkgconfig}
%{_libdir}/*.so
%{_libdir}/*.a
%{_libdir}/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Thu Aug 28 2008 Karsten Brockmann <arcam@ccux-linux.de> 0.9-1
- Initial CCux package Release
